conflict problem between ifc and icc

conflict problem between ifc and icc

Bild des Benutzers marlinux

Hello,
I have a problem installing the c++ compiler. I have already installed Intel fortran compiler 7.0.
I have still some compatibility problem between ifc and gcc, so I would try to install icc, but when I tried to install intel-icc7-7.0-65.i386.rpm I have the following message

"

file /opt/intel/compiler70/ia32/bin/profmerge from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/bin/proforder from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/bin/xiar from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/bin/xild from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/crtxi.o from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/crtxn.o from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libcprts.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libcprts.so.3 from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libcxa.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libcxa.so.3 from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libimf.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libirc.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libircmt.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libompstub.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libunwind.a from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
file /opt/intel/compiler70/ia32/lib/libunwind.so.3 from install of intel-icc7-7.0-65 conflicts with file from package intel-ifc7-7.0-64
"
What should I do?
Thanks in advance,

Martino

2 Beiträge / 0 neu
Letzter Beitrag
Nähere Informationen zur Compiler-Optimierung finden Sie in unserem Optimierungshinweis.
Bild des Benutzers Tim Prince

This should not happen, provided that you have never re-installed either compiler, except to upgrade, and always use the .install script with the recommended options.

When I have required a forced over-ride, I have been successful using
rpm -U --force

but I don't think there is a supported way to recover from use of non-supported methods of installation.

Another thing which I have seen causing problems with .rpm is an "upgrade" of linux distribution. For example, if 'rpm --rebuilddb' fails, it's not a problem caused by compiler installation. The obvious way out of that is a clean installation of linux. Yes, I would like to hear more constructive suggestions.

Melden Sie sich an, um einen Kommentar zu hinterlassen.